org.cpsolver.ifs.util

## Class Query.OrTerm

- java.lang.Object
- - org.cpsolver.ifs.util.Query.CompositeTerm
  - - org.cpsolver.ifs.util.Query.OrTerm

- All Implemented Interfaces:
    Serializable, Query.Term
  Enclosing class:
    Query

      public static class Query.OrTerm
      extends Query.CompositeTerm

  Representation of an OR between two or more terms.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrTerm()`
    `OrTerm(Collection<Query.Term> terms)`
    `OrTerm(Query.Term... terms)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getOp()` Operation over the terms, such as AND or OR
    `Boolean` | `match(Query.AmbigousTermMatcher m)` Does the term matches the provided object, returning null if does not apply (e.g., the object does not have the provided attribute)
    `boolean` | `match(Query.TermMatcher m)` A term matches, when at least one sub-term matches

    - ### Methods inherited from class org.cpsolver.ifs.util.Query.CompositeTerm

      `add, hasAttribute, remove, terms, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OrTerm

          public OrTerm()

    - #### OrTerm

          public OrTerm(Query.Term... terms)

    - #### OrTerm

          public OrTerm(Collection<Query.Term> terms)

  - ### Method Detail

    - #### getOp

          public String getOp()

      Description copied from class: `Query.CompositeTerm`
      Operation over the terms, such as AND or OR
      Specified by:
        `getOp` in class `Query.CompositeTerm`

    - #### match

          public boolean match(Query.TermMatcher m)

      A term matches, when at least one sub-term matches

    - #### match

          public Boolean match(Query.AmbigousTermMatcher m)

      Description copied from interface: `Query.Term`
      Does the term matches the provided object, returning null if does not apply (e.g., the object does not have the provided attribute)